Package edu.msu.cme.rdp.multicompare.visitors

## Class EstimateSPrintVisitor

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.visitors.EstimateSPrintVisitor

All Implemented Interfaces:
  `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`

    public class EstimateSPrintVisitor
    extends java.lang.Object
    implements edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>

### Constructor Summary

Constructors
`EstimateSPrintVisitor​(java.io.PrintStream out, java.util.List<MCSample> samples, java.lang.String rank, int nodeCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `visitNode​(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EstimateSPrintVisitor

    public EstimateSPrintVisitor​(java.io.PrintStream out,
                                 java.util.List<MCSample> samples,
                                 java.lang.String rank,
                                 int nodeCount)

### Method Detail

#### visitNode

    public boolean visitNode​(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)

Specified by:
  `visitNode` in interface `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`